# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(FindBin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-B-Hooks-OP-Check-StashChange
Version:        0.06
Release:        alt2_11
Summary:        Invoke callbacks when the stash code is being compiled in changes
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/B-Hooks-OP-Check-StashChange/
Source0:        http://www.cpan.org/authors/id/F/FL/FLORA/B-Hooks-OP-Check-StashChange-%{version}.tar.gz

BuildRequires:  perl(B/Hooks/OP/Check.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(parent.pm)
# testing
BuildRequires:  perl(Test/More.pm)

# don't "provide" private Perl libs
#global _use_internal_dependency_generator 0
#global __deploop() while read FILE; do /usr/lib/rpm/rpmdeps -%{1} ${FILE}; done | /bin/sort -u
#global __find_provides /bin/sh -c "%{__grep} -v '%{perl_vendorarch}/.*\\.so$' | %{__deploop P}"
#global __find_requires /bin/sh -c "%{__deploop R}"
Source44: import.info

%description
Register callbacks when an opcode is being compiled in a different namespace
than the previous one.

%prep
%setup -q -n B-Hooks-OP-Check-StashChange-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_11
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt2_10
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_10
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_8
- fc import

